Name:           attract
Version:        2.2.1
Release:        %mkrel 3
Summary:        Graphical frontend for command line emulators
Group:          Emulators
License:        GPLv3+
URL:            http://attractmode.org
Source0:        https://github.com/mickelson/attract/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         attract-2.0.0-makefile.patch

BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sfml-graphics)
BuildRequires:  pkgconfig(sfml-network)
BuildRequires:  pkgconfig(sfml-system)
BuildRequires:  pkgconfig(sfml-window)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(zlib)

%description
Attract-Mode is a graphical frontend for command line emulators such as
MAME, MESS, and Nestopia. It hides the underlying operating system and
is intended to be controlled with a joystick, gamepad or spin dial,
making it ideal for use in arcade cabinet setups.

%prep
%setup -q
%autopatch -p1

%build
%setup_compile_flags
%make_build prefix=%{_prefix}

%install
%make_install prefix=%{_prefix}

install -D -m644 util/icon.png %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Attract-Mode
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;Emulator;
EOF

%files
%doc Layouts.md Readme.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/512x512/apps/%{name}.png


%changelog
* Tue May 02 2017 akien <akien> 2.2.1-3.mga6
+ Revision: 1098266
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 2.2.1-2.mga6
+ Revision: 1089835
- Rebuild for ffmpeg 3.2.4

* Mon Jan 09 2017 akien <akien> 2.2.1-1.mga6
+ Revision: 1080812
- Version 2.2.1

* Sun Nov 13 2016 akien <akien> 2.2.0-1.mga6
+ Revision: 1067056
- Version 2.2.0

* Sat Oct 08 2016 akien <akien> 2.1.0-1.mga6
+ Revision: 1059581
- Version 2.1.0

* Sun Apr 03 2016 akien <akien> 2.0.0-0.rc3.1.mga6
+ Revision: 997868
- Add desktop file and icon
- imported package attract

